unit uAmpel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

type                              // hier steht der 'Ampel-Bauplan'
  TAmpel = class(TForm)           // die Ampel ist ein 'spezielles' Formular
    shKasten: TShape;
    shStab: TShape;
    shGelb: TShape;
    shRot: TShape;
    shGruen: TShape;
    procedure FormCreate(Sender: TObject);
  private
    zRot,zGelb,zGruen : boolean;  // Zustand der Lampen
  public
    procedure SetRot(b : boolean);
    procedure SetGelb(b : boolean);
    procedure SetGruen(b : boolean);
    function GetRot : boolean;
    function GetGelb : boolean;
    function GetGruen : boolean;
  end;

implementation

{$R *.dfm}

procedure TAmpel.SetRot(b : boolean);
begin
  zRot := b;
  if zRot then shRot.Brush.Color := clRed else shRot.Brush.Color := clBlack;
end;

procedure TAmpel.SetGelb(b : boolean);
begin
  zGelb := b;
  if zGelb then shGelb.Brush.Color := clYellow else shGelb.Brush.Color := clBlack;
end;

procedure TAmpel.SetGruen(b : boolean);
begin
  zGruen := b;
  if zGruen then shGruen.Brush.Color := clLime else shGruen.Brush.Color := clBlack;
end;

function TAmpel.GetRot : boolean;
begin
  result := zRot;
end;

function TAmpel.GetGelb : boolean;
begin
  result := zGelb;
end;

function TAmpel.GetGruen : boolean;
begin
  result := zGruen;
end;

procedure TAmpel.FormCreate(Sender: TObject);
begin
  setRot(false); setGelb(false); setGruen(false);
end;

end.
