unit uAmpeltest;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,
  uAmpel;                               // 1. Unit einbinden

type
  TfAmpeltest = class(TForm)
    bRotEin: TButton; bRotAus: TButton; bGelbEin: TButton; bGelbAus: TButton;
    bGruenEin: TButton; bGruenAus: TButton; bGetRot: TButton; bGetGruen: TButton;
    lRot: TLabel; lGelb: TLabel; lGruen: TLabel;
    bGetGelb: TButton;
    procedure bRotEinClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bRotAusClick(Sender: TObject);
    procedure bGelbEinClick(Sender: TObject);
    procedure bGelbAusClick(Sender: TObject);
    procedure bGruenEinClick(Sender: TObject);
    procedure bGruenAusClick(Sender: TObject);
    procedure bGetRotClick(Sender: TObject);
    procedure bGetGelbClick(Sender: TObject);
    procedure bGetGruenClick(Sender: TObject);
  private
    ampel1 : TAmpel;                    // 2. Variable vereinbaren
  public
    { Public-Deklarationen }
  end;

var
  fAmpeltest: TfAmpeltest;

implementation

{$R *.dfm}

procedure TfAmpeltest.bRotEinClick(Sender: TObject);
begin
  ampel1.SetRot(true);
end;

procedure TfAmpeltest.FormCreate(Sender: TObject);
begin
  ampel1 := TAmpel.Create(fAmpelTest);  // 3. Objekt erschaffen
  ampel1.Visible := true;               // eventuell Attribute setzen
  ampel1.Caption := 'Ampel 1';
  ampel1.Left := 100;
end;

procedure TfAmpeltest.FormDestroy(Sender: TObject);
begin
  ampel1.Free;                          // 6. Speicher freigeben
end;

procedure TfAmpeltest.bRotAusClick(Sender: TObject);
begin
  ampel1.SetRot(false);                 // 4. Botschaft senden
end;

procedure TfAmpeltest.bGelbEinClick(Sender: TObject);
begin
  ampel1.Setgelb(true);
end;

procedure TfAmpeltest.bGelbAusClick(Sender: TObject);
begin
  ampel1.SetGelb(false);
end;

procedure TfAmpeltest.bGruenEinClick(Sender: TObject);
begin
  ampel1.SetGruen(true);
end;

procedure TfAmpeltest.bGruenAusClick(Sender: TObject);
begin
  ampel1.SetGruen(false);
end;

procedure TfAmpeltest.bGetRotClick(Sender: TObject);
begin
  if ampel1.GetRot                      // 5. Anfrage senden
  then lRot.Caption := 'an'
  else lRot.Caption := 'aus';
end;

procedure TfAmpeltest.bGetGelbClick(Sender: TObject);
begin
  if ampel1.GetGelb then lGelb.Caption := 'an' else lGelb.Caption := 'aus';
end;

procedure TfAmpeltest.bGetGruenClick(Sender: TObject);
begin
  if ampel1.GetGruen then lGruen.Caption := 'an' else lGruen.Caption := 'aus';
end;

end.
